#ifndef BMP_HPP
#define	BMP_HPP

struct bmp_h
{
    uint32_t fileSize;
    uint16_t creator1;
    uint16_t creator2;
    uint32_t bmpOffset;
};

struct dib_h
{
    uint32_t headerSize;
    int32_t  width;
    int32_t  height;
    uint16_t nplanes;
    uint16_t bitspp;
    uint32_t compress_type;
    uint32_t bmp_bytesz;
    int32_t  hres;
    int32_t  vres;
    uint32_t ncolors;
    uint32_t nimpcolors;
};

struct px_24 {
    uint8_t R;
    uint8_t G;
    uint8_t B;
};

struct px_float {
    float R;
    float G;
    float B;
};

bool writeBmp(std::vector<std::vector<px_24> >& picture, const char* name, int width, int height);

#endif	/* BMP_HPP */

